[返回主目录](/doc)

<a name="menu">目录</a>
1. [新增/修改](#save)
1. [用户信息](#info)
1. [列表](#page)
1. [激活/冻结](#enabled)


## **<a name="login"> 登录</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantuserCtl/save]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id":"48",                      // id 新增id="", 修改id=xx
        "uctype_id": "1",               // 所选商户id
        "ucname": "m1",                 // 用户名
        "password": "123123",           // 密码，新增时必填，修改时非必填
        "real_name": "商户测试1",        // 姓名
        "mobile": "13011112222",        // 手机号（联系方式）
        "is_enabled": 1                 // 1激活 0冻结
    }

```

#### 返回结果
```javascript

   {
       "status": 0,
       "msg": "success",
       "data": {
           "loginName": "admin",            // 登录名
           "mobile": "13012341234",         // 手机号
           "real_name": "admin测试",        // 姓名
           "key": "xxx."                    // 登录key，HEADER esignadminsid
       }
   }

```


## **<a name="info"> 用户信息</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantuserCtl/info]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

  {
  	"id": "50"      // 账户id
  }

```
#### 返回结果
```javascript
  {
      "status": 0,
      "msg": "success",
      "data": {
          "id": 50,                   // id
          "ucname": "m3",             // 用户名
          "password": "",             // 密码，服务端已经置空，前端不用管
          "real_name": "商户测试1",   // 姓名
          "mobile": "13011112222",    // 手机号（联系方式）
          "uctype_id": "1",           // 商户id
          "is_enabled": 1,            // 0冻结 1激活
          "created_at": "2020-06-30 15:14:51",    // 创建时间
      },
      "requestid": "5bb8ad250832447da534926742efb353"
  }

```

## **<a name="page"> 列表</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantuserCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

  {
  	  "currentPage":"2",
  	  "pageSize": "5",
      "ucname": "",
      "merchant_id": ""  商户id
  }

```
#### 返回结果
```javascript
  {
      "status": 0,
      "msg": "success",
      "data": {
          "count": 8,
          "rows": [
              {
                "id": 50,                   // id
                "ucname": "m3",             // 用户名
                "password": "",             // 密码，服务端已经置空，前端不用管
                "real_name": "商户测试1",   // 姓名
                "mobile": "13011112222",    // 手机号（联系方式）
                "uctype_id": "1",           // 商户id
                "is_enabled": 1,            // 0冻结 1激活
                "created_at": "2020-06-30 15:14:51",    // 创建时间
                "merchant": {               // 商户信息             
                      "id": "todo",         // 商户id
                      "name": "todo"        // 商户名称
                  }
              }
          ]
      },
      "requestid": "0c2252903a3d4e6abdd0e83938f90648"
  }

```

## **<a name="enabled"> 激活/冻结</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantuserCtl/enabled]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "55",
        "is_enabled":1      // // 0冻结 1激活
    }

```
#### 返回结果
```javascript
  {
      "status": 0,
      "msg": "success",
      "data":null,
      "requestid": "0c2252903a3d4e6abdd0e83938f90648"
  }

```